API referenceWebhookEndpoint
Retrieves the collection of WebhookEndpoint resources.
Retrieves the collection of WebhookEndpoint resources.
GET
/api/webhook_endpointscurl -X GET "/api/webhook_endpoints" \
-H "apikey: $MEDIALISTER_CLIENT_API_KEY"Authorization
apikeystringheaderrequiredValue for the apikey header parameter.
Response
application/ld+json200
WebhookEndpoint collection
hydra:totalItemsintegerhydra:searchobjecthydra:memberWebhookEndpoint.jsonld[]required
{
"hydra:totalItems": 0,
"hydra:search": {
"@type": "string",
"hydra:template": "string",
"hydra:variableRepresentation": "string",
"hydra:mapping": [
{
"@type": "string",
"variable": "string",
"property": "string",
"required": true
}
]
},
"hydra:member": [
{
"@context": "string",
"@id": "string",
"@type": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"audience": "publisher",
"url": "https://example.com",
"enabled": true,
"verifiedAt": "2026-01-15T09:30:00Z",
"status": "active",
"lastDeliveredAt": "2026-01-15T09:30:00Z",
"lastFailedAt": "2026-01-15T09:30:00Z",
"lastError": "string",
"createdAt": "2026-01-15T09:30:00Z",
"secret": "string"
}
]
}